Jesteś tutaj

Line

Informations

Creator Wiadmości
rlarjsdn122 Anonymous

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 11631
Wine:

Feedbacks

Description

Online messenger.

Website.

Source code

#!/bin/bash
# Date : (2017-11-26)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: v5.21 (2019-12) up to the login window.
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [rlarjsdn122] (2017-11-26)
#   First script. Wine 1.7.55.
# [Dadu042] (2019-12-30)
#   Script rewrote, mainly to allow install from local file.
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3: .
 
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Line"
PREFIX="Line_nhnlin"
EDITOR="Line"
GAME_URL="https://en.wikipedia.org/wiki/Line_(software)"
AUTHOR="rlarjsdn122"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="32"
SHORTCUT_FILENAME="LineLauncher.exe"
SOFTWARE_CATEGORIES="InstantMessaging;Chat;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="Readme*.txt"
   
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
        
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
         
POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
        
Set_OS "win7"
   
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_install_gdiplus
POL_Call POL_install_riched20
POL_Call POL_install_riched30
POL_Call POL_install_wmp9
POL_Call POL_install_msls31
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
   
################
#      GPU     #
################
     
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
     
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
   
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
   
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

POL_SetupWindow_message "$(eval_gettext 'Warning: the installation script will not end until you close the app and its system tray icon.')" "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
        
        # POL_Call POL_Function_NoCDWarning
 
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
        POL_Wine_WaitExit "setup.exe"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "LineInst.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                 
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
     
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Wiadmości
polv Tuesday 29 June 2021 at 12:56
polv Anonymous

Wiadmości

The install script in PlayOnLinux app itself leads to older installer. The update in this post does better.

 

However, I have a major issue with fonts.

  1. non-English (Thai) font does not choose a good font by default. Instead, it falls back to the first alphabetical named font - but for me, that was Fancy font, not a good font for regular use.
  2. Sometimes, font rendering can indeed fall off the top of the line. The issue is Thai font is somethings tall. I am currently using Leelawadee font. I don't remember where I found this one...
  3. The general rendering is not sharp at all.

 

No, I don't know how to fix this yet.

Odpowiedzi

benyaminl Monday 3 February 2020 at 13:31
benyaminl

Wiadmości

I use this script and it's great https://www.playonlinux.com/en/app-2417-Line.html

Mine works well, it just need more of Font Smooth BGR to make line Font not hurting eye. 

 

EDIT: Seems this page should be the script that I'm run on POL, but why on clicking feedback I got redirected to that page? So Silly. I'm on POL 4.43.1 Fedora 31 XFCE Spin 

Odpowiedzi

Edytowane przez benyaminl

Dadu042 Tuesday 31 December 2019 at 12:57
Dadu042

Information

This update has been approved by the team.

Differences

@@ -26,7 +26,7 @@
 source "$PLAYONLINUX/lib/sources"
         
 TITLE="Line"
-PREFIX="nhnlin"
+PREFIX="Line_nhnlin"
 EDITOR="Line"
 GAME_URL="https://en.wikipedia.org/wiki/Line_(software)"
 AUTHOR="rlarjsdn122"
@@ -109,9 +109,9 @@
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
 POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
-    
-# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
-       
+
+POL_SetupWindow_message "$(eval_gettext 'Warning: the installation script will not end until you close the app and its system tray icon.')" "$TITLE"
+
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then
         POL_Call POL_Install_steam

New source code

#!/bin/bash
# Date : (2017-11-26)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: v5.21 (2019-12) up to the login window.
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [rlarjsdn122] (2017-11-26)
#   First script. Wine 1.7.55.
# [Dadu042] (2019-12-30)
#   Script rewrote, mainly to allow install from local file.
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3: .
 
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Line"
PREFIX="Line_nhnlin"
EDITOR="Line"
GAME_URL="https://en.wikipedia.org/wiki/Line_(software)"
AUTHOR="rlarjsdn122"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="32"
SHORTCUT_FILENAME="LineLauncher.exe"
SOFTWARE_CATEGORIES="InstantMessaging;Chat;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="Readme*.txt"
   
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
        
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
         
POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
        
Set_OS "win7"
   
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_install_gdiplus
POL_Call POL_install_riched20
POL_Call POL_install_riched30
POL_Call POL_install_wmp9
POL_Call POL_install_msls31
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
   
################
#      GPU     #
################
     
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
     
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
   
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
   
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

POL_SetupWindow_message "$(eval_gettext 'Warning: the installation script will not end until you close the app and its system tray icon.')" "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
        
        # POL_Call POL_Function_NoCDWarning
 
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
        POL_Wine_WaitExit "setup.exe"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "LineInst.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                 
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
     
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
POL_SetupWindow_Close
exit 0

Odpowiedzi

Monday 3 February 2020 at 13:34
I think I use this script, why on send a feedback button on POL I got redirected to https://www.playonlinux.com/en/app-2417-Line.html?
Dadu042 Tuesday 31 December 2019 at 12:41
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -1,53 +1,215 @@
-#!/usr/bin/env playonlinux-bash
- 
-# Date : 2017-11-26
-# Last revision : 2017-11-28
-# Wine version used : 1.7.55
-# Distribution used to test : Ubuntu 10.04 LTS
-# Author : rlarjsdn122
-# Script licence : GPLv3
-# Program licence : LINE Corporation
-# Depend :
+#!/bin/bash
+# Date : (2017-11-26)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : XUbuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: v5.21 (2019-12) up to the login window.
+#
+# Middlewares used by this software : ?.
+#
+# CHANGELOG
+# [rlarjsdn122] (2017-11-26)
+#   First script. Wine 1.7.55.
+# [Dadu042] (2019-12-30)
+#   Script rewrote, mainly to allow install from local file.
+#
+# KNOWN ISSUES:
+#  - Wine x86 4.0.3: .
  
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+     
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
- 
+        
 TITLE="Line"
 PREFIX="nhnlin"
-  
+EDITOR="Line"
+GAME_URL="https://en.wikipedia.org/wiki/Line_(software)"
+AUTHOR="rlarjsdn122"
+STEAM_ID=""
+WORKING_WINE_VERSION=""
+GAME_VMS="32"
+SHORTCUT_FILENAME="LineLauncher.exe"
+SOFTWARE_CATEGORIES="InstantMessaging;Chat;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE="Readme*.txt"
+   
+# Starting the script
 POL_SetupWindow_Init
- 
-POL_SetupWindow_presentation "$TITLE" "LINE" "https://line.me" "rlarjsdn122" "$PREFIX"
- 
-POL_SetupWindow_message "Install Line develped by LINE." "Welcome"
- 
-POL_System_TmpCreate "nlinetmp"
- 
+           
+# Starting debugging API
+POL_Debug_Init
+          
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+        
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+        
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+         
+POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+    
+# Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
- 
-cd "$POL_System_TmpDir"
- 
-POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe" "c8236d8e4555ab26f6c2bf1310fab46d"
- 
-INSTALLER="$POL_System_TmpDir/LineInst.exe"
- 
-POL_Wine_PrefixCreate
-Set_OS "win7"
+          
+# Determine Architecture
+# POL_System_SetArch "amd64"
 POL_System_SetArch "x86"
+     
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+        
+Set_OS "win7"
+   
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+
 POL_Call POL_install_gdiplus
 POL_Call POL_install_riched20
 POL_Call POL_install_riched30
 POL_Call POL_install_wmp9
 POL_Call POL_install_msls31
  
-POL_SetupWindow_wait "Please wait" "Installation in progress"
-POL_Wine "$INSTALLER"
- 
-POL_System_TmpDelete
- 
-POL_Shortcut "LineLauncher.exe" "LINE"
- 
-POL_SetupWindow_message "Chat with happiness!" "Bye-bye"
- 
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+   
+   
+################
+#      GPU     #
+################
+     
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+    
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+     
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+   
+   
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+   
+   
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+    
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+       
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+        
+elif [ "$INSTALL_METHOD" == "DVD" ]; then
+        POL_SetupWindow_cdrom
+        
+        # POL_Call POL_Function_NoCDWarning
+ 
+        POL_SetupWindow_check_cdrom "setup.exe"
+        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
+        POL_Wine_WaitExit "setup.exe"
+    
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+       
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+        
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        POL_Wine "LineInst.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+    
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+    
+        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+   
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        APP_ANSWER=".EXE"
+   
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+     
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+    
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+                 
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+   
+################
+# Patch update #
+################
+   
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
+     
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+   
+   
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+   
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+        
 POL_SetupWindow_Close
-exit
\ No newline at end of file
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2017-11-26)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: v5.21 (2019-12) up to the login window.
#
# Middlewares used by this software : ?.
#
# CHANGELOG
# [rlarjsdn122] (2017-11-26)
#   First script. Wine 1.7.55.
# [Dadu042] (2019-12-30)
#   Script rewrote, mainly to allow install from local file.
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3: .
 
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Line"
PREFIX="nhnlin"
EDITOR="Line"
GAME_URL="https://en.wikipedia.org/wiki/Line_(software)"
AUTHOR="rlarjsdn122"
STEAM_ID=""
WORKING_WINE_VERSION=""
GAME_VMS="32"
SHORTCUT_FILENAME="LineLauncher.exe"
SOFTWARE_CATEGORIES="InstantMessaging;Chat;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="Readme*.txt"
   
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
        
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
         
POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
     
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
        
Set_OS "win7"
   
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_install_gdiplus
POL_Call POL_install_riched20
POL_Call POL_install_riched30
POL_Call POL_install_wmp9
POL_Call POL_install_msls31
 
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
   
################
#      GPU     #
################
     
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
     
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
   
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
   
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
    
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
       
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
        
        # POL_Call POL_Function_NoCDWarning
 
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
        POL_Wine_WaitExit "setup.exe"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "LineInst.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                 
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
     
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
POL_SetupWindow_Close
exit 0

Odpowiedzi

rlarjsdn122 Tuesday 2 January 2018 at 16:18
rlarjsdn122 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,53 @@
+#!/usr/bin/env playonlinux-bash
+ 
+# Date : 2017-11-26
+# Last revision : 2017-11-28
+# Wine version used : 1.7.55
+# Distribution used to test : Ubuntu 10.04 LTS
+# Author : rlarjsdn122
+# Script licence : GPLv3
+# Program licence : LINE Corporation
+# Depend :
+ 
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+ 
+TITLE="Line"
+PREFIX="nhnlin"
+  
+POL_SetupWindow_Init
+ 
+POL_SetupWindow_presentation "$TITLE" "LINE" "https://line.me" "rlarjsdn122" "$PREFIX"
+ 
+POL_SetupWindow_message "Install Line develped by LINE." "Welcome"
+ 
+POL_System_TmpCreate "nlinetmp"
+ 
+POL_Wine_SelectPrefix "$PREFIX"
+ 
+cd "$POL_System_TmpDir"
+ 
+POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe" "c8236d8e4555ab26f6c2bf1310fab46d"
+ 
+INSTALLER="$POL_System_TmpDir/LineInst.exe"
+ 
+POL_Wine_PrefixCreate
+Set_OS "win7"
+POL_System_SetArch "x86"
+POL_Call POL_install_gdiplus
+POL_Call POL_install_riched20
+POL_Call POL_install_riched30
+POL_Call POL_install_wmp9
+POL_Call POL_install_msls31
+ 
+POL_SetupWindow_wait "Please wait" "Installation in progress"
+POL_Wine "$INSTALLER"
+ 
+POL_System_TmpDelete
+ 
+POL_Shortcut "LineLauncher.exe" "LINE"
+ 
+POL_SetupWindow_message "Chat with happiness!" "Bye-bye"
+ 
+POL_SetupWindow_Close
+exit
\ No newline at end of file

New source code

#!/usr/bin/env playonlinux-bash
 
# Date : 2017-11-26
# Last revision : 2017-11-28
# Wine version used : 1.7.55
# Distribution used to test : Ubuntu 10.04 LTS
# Author : rlarjsdn122
# Script licence : GPLv3
# Program licence : LINE Corporation
# Depend :
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="Line"
PREFIX="nhnlin"
  
POL_SetupWindow_Init
 
POL_SetupWindow_presentation "$TITLE" "LINE" "https://line.me" "rlarjsdn122" "$PREFIX"
 
POL_SetupWindow_message "Install Line develped by LINE." "Welcome"
 
POL_System_TmpCreate "nlinetmp"
 
POL_Wine_SelectPrefix "$PREFIX"
 
cd "$POL_System_TmpDir"
 
POL_Download "https://scdn.line-apps.com/client/win/new/LineInst.exe" "c8236d8e4555ab26f6c2bf1310fab46d"
 
INSTALLER="$POL_System_TmpDir/LineInst.exe"
 
POL_Wine_PrefixCreate
Set_OS "win7"
POL_System_SetArch "x86"
POL_Call POL_install_gdiplus
POL_Call POL_install_riched20
POL_Call POL_install_riched30
POL_Call POL_install_wmp9
POL_Call POL_install_msls31
 
POL_SetupWindow_wait "Please wait" "Installation in progress"
POL_Wine "$INSTALLER"
 
POL_System_TmpDelete
 
POL_Shortcut "LineLauncher.exe" "LINE"
 
POL_SetupWindow_message "Chat with happiness!" "Bye-bye"
 
POL_SetupWindow_Close
exit

Odpowiedzi

Wednesday 14 August 2019 at 11:51
Current md5sum appears to be "98e37065b07b221c905ee42772673abb"